package cn.com.qmth.examcloud.tool.task;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.io.Serializable;

@ConfigurationProperties(prefix = "examcloud.task", ignoreUnknownFields = false)
public class TaskProperties implements Serializable {

    private static final long serialVersionUID = 1L;

    /*
     * 是否启用
     */
    private Boolean active;

    /**
     * 任务实现类
     */
    private String impl;

    /**
     * 任务自定义参数
     */
    private String params;

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getImpl() {
        return impl;
    }

    public void setImpl(String impl) {
        this.impl = impl;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}